cURL - 图像转动画
鉴权
string
header
必填
千问云 API Key。详见获取 API Key。
Header 参数
enum<string>
必填
必须设置为 enable。HTTP 请求仅支持异步处理。省略此请求头将返回"当前用户 API 不支持同步调用"的错误。
enable
提交动画生成任务
curl --location 'https://dashscope.aliyuncs.com/api/v1/services/aigc/image2video/video-synthesis' \
-H 'X-DashScope-Async: enable' \
-H "Authorization: Bearer $DASHSCOPE_API_KEY" \
-H 'Content-Type: application/json' \
-d '{
"model": "wan2.2-animate-move",
"input": {
"image_url": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250919/adsyrp/move_input_image.jpeg",
"video_url": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250919/kaakcn/move_input_video.mp4",
"watermark": true
},
"parameters": {
"mode": "wan-std"
}
}'{
"request_id": "4909100c-7b5a-9f92-bfe5-xxxxxx",
"output": {
"task_id": "0385dc79-5ff8-4d82-bcb6-xxxxxx",
"task_status": "PENDING"
}
}千问云 API Key。详见获取 API Key。
必须设置为 enable。HTTP 请求仅支持异步处理。省略此请求头将返回"当前用户 API 不支持同步调用"的错误。
模型名称,必须为 wan2.2-animate-move。
输入数据,包含人物图像和参考视频。
显示子属性
人物输入图像的公开访问 URL。
图像要求:
包含非 ASCII 字符(如中文)的 URL 须进行 URL 编码。
参考视频的公开访问 URL。模型将该视频中的人物动作和表情迁移到输入图像上。
视频要求:
使用分辨率更高、帧率更高的参考视频可获得更好的效果。包含非 ASCII 字符的 URL 须进行 URL 编码。
是否在视频右下角添加"由通义 AI 生成"水印。
curl --location 'https://dashscope.aliyuncs.com/api/v1/services/aigc/image2video/video-synthesis' \
-H 'X-DashScope-Async: enable' \
-H "Authorization: Bearer $DASHSCOPE_API_KEY" \
-H 'Content-Type: application/json' \
-d '{
"model": "wan2.2-animate-move",
"input": {
"image_url": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250919/adsyrp/move_input_image.jpeg",
"video_url": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250919/kaakcn/move_input_video.mp4",
"watermark": true
},
"parameters": {
"mode": "wan-std"
}
}'{
"request_id": "4909100c-7b5a-9f92-bfe5-xxxxxx",
"output": {
"task_id": "0385dc79-5ff8-4d82-bcb6-xxxxxx",
"task_status": "PENDING"
}
}